VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::item::updatesession::File Interface Reference

The `File` interface provides methods for accessing files within an update session. More...

Inherited by vmware::content::library::item::updatesession::FileStub.

List of all members.

## Public Member Functions
vmware.content.library.item.updatesession.FileTypes.ValidationResult | Validate (string updateSessionId)
| Validates the files in the update session with the referenced identifier and ensures all necessary files are received.
vmware.content.library.item.updatesession.FileTypes.ValidationResult | Validate (string updateSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Validates the files in the update session with the referenced identifier and ensures all necessary files are received.
global::System.Threading.Tasks.Task < vmware.content.library.item.updatesession.FileTypes.ValidationResult > | ValidateAsync (string updateSessionId)
| Validates the files in the update session with the referenced identifier and ensures all necessary files are received.
global::System.Threading.Tasks.Task < vmware.content.library.item.updatesession.FileTypes.ValidationResult > | ValidateAsync (string updateSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Validates the files in the update session with the referenced identifier and ensures all necessary files are received.
vmware.content.library.item.updatesession.FileTypes.Info | Add (string updateSessionId, vmware.content.library.item.updatesession.FileTypes.AddSpec fileSpec)
| Requests file content to be changed (either created, or updated).
vmware.content.library.item.updatesession.FileTypes.Info | Add (string updateSessionId, vmware.content.library.item.updatesession.FileTypes.AddSpec fileSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Requests file content to be changed (either created, or updated).
global::System.Threading.Tasks.Task < vmware.content.library.item.updatesession.FileTypes.Info > | AddAsync (string updateSessionId, vmware.content.library.item.updatesession.FileTypes.AddSpec fileSpec)
| Requests file content to be changed (either created, or updated).
global::System.Threading.Tasks.Task < vmware.content.library.item.updatesession.FileTypes.Info > | AddAsync (string updateSessionId, vmware.content.library.item.updatesession.FileTypes.AddSpec fileSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Requests file content to be changed (either created, or updated).
void | Remove (string updateSessionId, string fileName)
| Requests a file to be removed.
void | Remove (string updateSessionId, string fileName, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Requests a file to be removed.
global::System.Threading.Tasks.Task | RemoveAsync (string updateSessionId, string fileName)
| Requests a file to be removed.
global::System.Threading.Tasks.Task | RemoveAsync (string updateSessionId, string fileName, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Requests a file to be removed.
global::System.Collections.Generic.List < vmware.content.library.item.updatesession.FileTypes.Info > | List (string updateSessionId)
| Lists all files in the library item associated with the update session.
global::System.Collections.Generic.List < vmware.content.library.item.updatesession.FileTypes.Info > | List (string updateSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Lists all files in the library item associated with the update session.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.content.library.item.updatesession.FileTypes.Info > > | ListAsync (string updateSessionId)
| Lists all files in the library item associated with the update session.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.content.library.item.updatesession.FileTypes.Info > > | ListAsync (string updateSessionId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Lists all files in the library item associated with the update session.
vmware.content.library.item.updatesession.FileTypes.Info | Get (string updateSessionId, string fileName)
| Retrieves information about a specific file in the snapshot of the library item at the time when the update session was created.
vmware.content.library.item.updatesession.FileTypes.Info | Get (string updateSessionId, string fileName, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about a specific file in the snapshot of the library item at the time when the update session was created.
global::System.Threading.Tasks.Task < vmware.content.library.item.updatesession.FileTypes.Info > | GetAsync (string updateSessionId, string fileName)
| Retrieves information about a specific file in the snapshot of the library item at the time when the update session was created.
global::System.Threading.Tasks.Task < vmware.content.library.item.updatesession.FileTypes.Info > | GetAsync (string updateSessionId, string fileName, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about a specific file in the snapshot of the library item at the time when the update session was created.

## Detailed Description

The `File` interface provides methods for accessing files within an update session.

After an update session is created against a library item, the `File` interface can be used to make changes to the underlying library item metadata as well as the content of the files. The following changes can be made:

- deleting an existing file within the library item. This deletes both the metadata and the content.
- updating an existing file with new content.
- adding a new file to the library item.

The above changes are not applied or visible until the session is completed. See vmware.content.library.item.UpdateSession

## Member Function Documentation

vmware.content.library.item.updatesession.FileTypes.Info vmware::content::library::item::updatesession::File::Add | ( | string | updateSessionId,
|  | vmware.content.library.item.updatesession.FileTypes.AddSpec | fileSpec
| ) |  |

Requests file content to be changed (either created, or updated).

Depending on the source type of the file, this method will either return an upload endpoint where the client can push the content, or the server will pull from the provided source endpoint. If a file with the same name already exists in this session, this method will be used to update the content of the existing file.

When importing a file directly from storage, where the source endpoint is a file or datastore URI, you will need to have the ContentLibrary.ReadStorage privilege on the library item. If the file is located in the same directory as the library storage backing folder, the server will move the file instead of copying it, thereby allowing instantaneous import of files for efficient backup and restore scenarios. In all other cases, a copy is performed rather than a move.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the fileSpec is invalid.
  vmware.vapi.std.errors.NotFound | if the update session doesn't exist.
  vmware.vapi.std.errors.Unauthorized | if the caller doesn't have ContentLibrary.ReadStorage privilege on the library item of the update session and source type File.SourceType.PULL is requested for a file or datastore source endpoint (that is, not HTTP or HTTPs based endpoint).

Parameters:

  updateSessionId | Identifier of the update session to be modified. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  fileSpec | Specification for the file that needs to be added or updated. This includes whether the client wants to push the content or have the server pull it.

Returns:
  An File.Info class containing upload links as well as server side state tracking the transfer of the file.

Implemented in vmware::content::library::item::updatesession::FileStub.

vmware.content.library.item.updatesession.FileTypes.Info vmware::content::library::item::updatesession::File::Add | ( | string | updateSessionId,
|  | vmware.content.library.item.updatesession.FileTypes.AddSpec | fileSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Requests file content to be changed (either created, or updated).

Depending on the source type of the file, this method will either return an upload endpoint where the client can push the content, or the server will pull from the provided source endpoint. If a file with the same name already exists in this session, this method will be used to update the content of the existing file.

When importing a file directly from storage, where the source endpoint is a file or datastore URI, you will need to have the ContentLibrary.ReadStorage privilege on the library item. If the file is located in the same directory as the library storage backing folder, the server will move the file instead of copying it, thereby allowing instantaneous import of files for efficient backup and restore scenarios. In all other cases, a copy is performed rather than a move.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the fileSpec is invalid.
  vmware.vapi.std.errors.NotFound | if the update session doesn't exist.
  vmware.vapi.std.errors.Unauthorized | if the caller doesn't have ContentLibrary.ReadStorage privilege on the library item of the update session and source type File.SourceType.PULL is requested for a file or datastore source endpoint (that is, not HTTP or HTTPs based endpoint).

Parameters:

  updateSessionId | Identifier of the update session to be modified. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  fileSpec | Specification for the file that needs to be added or updated. This includes whether the client wants to push the content or have the server pull it.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  An File.Info class containing upload links as well as server side state tracking the transfer of the file.

Implemented in vmware::content::library::item::updatesession::FileStub.

global::System.Threading.Tasks.Task<vmware.content.library.item.updatesession.FileTypes.Info> vmware::content::library::item::updatesession::File::AddAsync | ( | string | updateSessionId,
|  | vmware.content.library.item.updatesession.FileTypes.AddSpec | fileSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Requests file content to be changed (either created, or updated).

Depending on the source type of the file, this method will either return an upload endpoint where the client can push the content, or the server will pull from the provided source endpoint. If a file with the same name already exists in this session, this method will be used to update the content of the existing file.

When importing a file directly from storage, where the source endpoint is a file or datastore URI, you will need to have the ContentLibrary.ReadStorage privilege on the library item. If the file is located in the same directory as the library storage backing folder, the server will move the file instead of copying it, thereby allowing instantaneous import of files for efficient backup and restore scenarios. In all other cases, a copy is performed rather than a move.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the fileSpec is invalid.
  vmware.vapi.std.errors.NotFound | if the update session doesn't exist.
  vmware.vapi.std.errors.Unauthorized | if the caller doesn't have ContentLibrary.ReadStorage privilege on the library item of the update session and source type File.SourceType.PULL is requested for a file or datastore source endpoint (that is, not HTTP or HTTPs based endpoint).

Parameters:

  updateSessionId | Identifier of the update session to be modified. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  fileSpec | Specification for the file that needs to be added or updated. This includes whether the client wants to push the content or have the server pull it.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  An File.Info class containing upload links as well as server side state tracking the transfer of the file.

Implemented in vmware::content::library::item::updatesession::FileStub.

global::System.Threading.Tasks.Task<vmware.content.library.item.updatesession.FileTypes.Info> vmware::content::library::item::updatesession::File::AddAsync | ( | string | updateSessionId,
|  | vmware.content.library.item.updatesession.FileTypes.AddSpec | fileSpec
| ) |  |

Requests file content to be changed (either created, or updated).

Depending on the source type of the file, this method will either return an upload endpoint where the client can push the content, or the server will pull from the provided source endpoint. If a file with the same name already exists in this session, this method will be used to update the content of the existing file.

When importing a file directly from storage, where the source endpoint is a file or datastore URI, you will need to have the ContentLibrary.ReadStorage privilege on the library item. If the file is located in the same directory as the library storage backing folder, the server will move the file instead of copying it, thereby allowing instantaneous import of files for efficient backup and restore scenarios. In all other cases, a copy is performed rather than a move.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the fileSpec is invalid.
  vmware.vapi.std.errors.NotFound | if the update session doesn't exist.
  vmware.vapi.std.errors.Unauthorized | if the caller doesn't have ContentLibrary.ReadStorage privilege on the library item of the update session and source type File.SourceType.PULL is requested for a file or datastore source endpoint (that is, not HTTP or HTTPs based endpoint).

Parameters:

  updateSessionId | Identifier of the update session to be modified. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  fileSpec | Specification for the file that needs to be added or updated. This includes whether the client wants to push the content or have the server pull it.

Returns:
  An File.Info class containing upload links as well as server side state tracking the transfer of the file.

Implemented in vmware::content::library::item::updatesession::FileStub.

vmware.content.library.item.updatesession.FileTypes.Info vmware::content::library::item::updatesession::File::Get | ( | string | updateSessionId,
|  | string | fileName
| ) |  |

Retrieves information about a specific file in the snapshot of the library item at the time when the update session was created.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session doesn't exist.
  vmware.vapi.std.errors.InvalidArgument | if the file doesn't exist in the library item associated with the update session.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter {@param.name libraryItemId} requires `System.Read` .

Parameters:

  updateSessionId | Identifier of the update session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  fileName | Name of the file.

Returns:
  Information about the file.

Implemented in vmware::content::library::item::updatesession::FileStub.

vmware.content.library.item.updatesession.FileTypes.Info vmware::content::library::item::updatesession::File::Get | ( | string | updateSessionId,
|  | string | fileName,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves information about a specific file in the snapshot of the library item at the time when the update session was created.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session doesn't exist.
  vmware.vapi.std.errors.InvalidArgument | if the file doesn't exist in the library item associated with the update session.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter {@param.name libraryItemId} requires `System.Read` .

Parameters:

  updateSessionId | Identifier of the update session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  fileName | Name of the file.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the file.

Implemented in vmware::content::library::item::updatesession::FileStub.

global::System.Threading.Tasks.Task<vmware.content.library.item.updatesession.FileTypes.Info> vmware::content::library::item::updatesession::File::GetAsync | ( | string | updateSessionId,
|  | string | fileName
| ) |  |

Retrieves information about a specific file in the snapshot of the library item at the time when the update session was created.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session doesn't exist.
  vmware.vapi.std.errors.InvalidArgument | if the file doesn't exist in the library item associated with the update session.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter {@param.name libraryItemId} requires `System.Read` .

Parameters:

  updateSessionId | Identifier of the update session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  fileName | Name of the file.

Returns:
  Information about the file.

Implemented in vmware::content::library::item::updatesession::FileStub.

global::System.Threading.Tasks.Task<vmware.content.library.item.updatesession.FileTypes.Info> vmware::content::library::item::updatesession::File::GetAsync | ( | string | updateSessionId,
|  | string | fileName,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves information about a specific file in the snapshot of the library item at the time when the update session was created.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session doesn't exist.
  vmware.vapi.std.errors.InvalidArgument | if the file doesn't exist in the library item associated with the update session.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter {@param.name libraryItemId} requires `System.Read` .

Parameters:

  updateSessionId | Identifier of the update session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  fileName | Name of the file.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the file.

Implemented in vmware::content::library::item::updatesession::FileStub.

global::System.Collections.Generic.List<vmware.content.library.item.updatesession.FileTypes.Info> vmware::content::library::item::updatesession::File::List | ( | string | updateSessionId | ) |

Lists all files in the library item associated with the update session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session doesn't exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter {@param.name libraryItemId} requires `System.Read` .

Parameters:

  updateSessionId | Identifier of the update session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .

Returns:
  The list of the files in the library item associated with the update session. This list may be empty if the caller has removed all the files as part of this session (in which case completing the update session will result in an empty library item).

Implemented in vmware::content::library::item::updatesession::FileStub.

global::System.Collections.Generic.List<vmware.content.library.item.updatesession.FileTypes.Info> vmware::content::library::item::updatesession::File::List | ( | string | updateSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Lists all files in the library item associated with the update session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session doesn't exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter {@param.name libraryItemId} requires `System.Read` .

Parameters:

  updateSessionId | Identifier of the update session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of the files in the library item associated with the update session. This list may be empty if the caller has removed all the files as part of this session (in which case completing the update session will result in an empty library item).

Implemented in vmware::content::library::item::updatesession::FileStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.content.library.item.updatesession.FileTypes.Info> > vmware::content::library::item::updatesession::File::ListAsync | ( | string | updateSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Lists all files in the library item associated with the update session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session doesn't exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter {@param.name libraryItemId} requires `System.Read` .

Parameters:

  updateSessionId | Identifier of the update session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of the files in the library item associated with the update session. This list may be empty if the caller has removed all the files as part of this session (in which case completing the update session will result in an empty library item).

Implemented in vmware::content::library::item::updatesession::FileStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.content.library.item.updatesession.FileTypes.Info> > vmware::content::library::item::updatesession::File::ListAsync | ( | string | updateSessionId | ) |

Lists all files in the library item associated with the update session.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session doesn't exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.library.Item` referenced by the parameter {@param.name libraryItemId} requires `System.Read` .

Parameters:

  updateSessionId | Identifier of the update session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .

Returns:
  The list of the files in the library item associated with the update session. This list may be empty if the caller has removed all the files as part of this session (in which case completing the update session will result in an empty library item).

Implemented in vmware::content::library::item::updatesession::FileStub.

void vmware::content::library::item::updatesession::File::Remove | ( | string | updateSessionId,
|  | string | fileName
| ) |  |

Requests a file to be removed.

The file will only be effectively removed when the update session is completed.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session doesn't exist.
  vmware.vapi.std.errors.InvalidArgument | if the file doesn't exist in the library item associated with the update session.

Parameters:

  updateSessionId | Identifier of the update session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  fileName | Name of the file to be removed.

Implemented in vmware::content::library::item::updatesession::FileStub.

void vmware::content::library::item::updatesession::File::Remove | ( | string | updateSessionId,
|  | string | fileName,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Requests a file to be removed.

The file will only be effectively removed when the update session is completed.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session doesn't exist.
  vmware.vapi.std.errors.InvalidArgument | if the file doesn't exist in the library item associated with the update session.

Parameters:

  updateSessionId | Identifier of the update session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  fileName | Name of the file to be removed.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::content::library::item::updatesession::FileStub.

global::System.Threading.Tasks.Task vmware::content::library::item::updatesession::File::RemoveAsync | ( | string | updateSessionId,
|  | string | fileName
| ) |  |

Requests a file to be removed.

The file will only be effectively removed when the update session is completed.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session doesn't exist.
  vmware.vapi.std.errors.InvalidArgument | if the file doesn't exist in the library item associated with the update session.

Parameters:

  updateSessionId | Identifier of the update session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  fileName | Name of the file to be removed.

Implemented in vmware::content::library::item::updatesession::FileStub.

global::System.Threading.Tasks.Task vmware::content::library::item::updatesession::File::RemoveAsync | ( | string | updateSessionId,
|  | string | fileName,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Requests a file to be removed.

The file will only be effectively removed when the update session is completed.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the update session doesn't exist.
  vmware.vapi.std.errors.InvalidArgument | if the file doesn't exist in the library item associated with the update session.

Parameters:

  updateSessionId | Identifier of the update session. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  fileName | Name of the file to be removed.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::content::library::item::updatesession::FileStub.

vmware.content.library.item.updatesession.FileTypes.ValidationResult vmware::content::library::item::updatesession::File::Validate | ( | string | updateSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Validates the files in the update session with the referenced identifier and ensures all necessary files are received.

In the case where a file is missing, this method will return its name in the File.ValidationResult.missingFiles set. The user can add the missing files and try re-validating. For other type of errors, File.ValidationResult.invalidFiles will contain the list of invalid files.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the vmware.content.library.item.UpdateSessionModel.State.ACTIVE state, or if some of the files that will be uploaded by the client aren't received correctly.

Parameters:

  updateSessionId | Identifier of the update session to validate. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  A validation result containing missing files or invalid files and the reason why they are invalid.

Implemented in vmware::content::library::item::updatesession::FileStub.

vmware.content.library.item.updatesession.FileTypes.ValidationResult vmware::content::library::item::updatesession::File::Validate | ( | string | updateSessionId | ) |

Validates the files in the update session with the referenced identifier and ensures all necessary files are received.

In the case where a file is missing, this method will return its name in the File.ValidationResult.missingFiles set. The user can add the missing files and try re-validating. For other type of errors, File.ValidationResult.invalidFiles will contain the list of invalid files.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the vmware.content.library.item.UpdateSessionModel.State.ACTIVE state, or if some of the files that will be uploaded by the client aren't received correctly.

Parameters:

  updateSessionId | Identifier of the update session to validate. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .

Returns:
  A validation result containing missing files or invalid files and the reason why they are invalid.

Implemented in vmware::content::library::item::updatesession::FileStub.

global::System.Threading.Tasks.Task<vmware.content.library.item.updatesession.FileTypes.ValidationResult> vmware::content::library::item::updatesession::File::ValidateAsync | ( | string | updateSessionId | ) |

Validates the files in the update session with the referenced identifier and ensures all necessary files are received.

In the case where a file is missing, this method will return its name in the File.ValidationResult.missingFiles set. The user can add the missing files and try re-validating. For other type of errors, File.ValidationResult.invalidFiles will contain the list of invalid files.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the vmware.content.library.item.UpdateSessionModel.State.ACTIVE state, or if some of the files that will be uploaded by the client aren't received correctly.

Parameters:

  updateSessionId | Identifier of the update session to validate. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .

Returns:
  A validation result containing missing files or invalid files and the reason why they are invalid.

Implemented in vmware::content::library::item::updatesession::FileStub.

global::System.Threading.Tasks.Task<vmware.content.library.item.updatesession.FileTypes.ValidationResult> vmware::content::library::item::updatesession::File::ValidateAsync | ( | string | updateSessionId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Validates the files in the update session with the referenced identifier and ensures all necessary files are received.

In the case where a file is missing, this method will return its name in the File.ValidationResult.missingFiles set. The user can add the missing files and try re-validating. For other type of errors, File.ValidationResult.invalidFiles will contain the list of invalid files.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no update session with the given identifier exists.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the update session is not in the vmware.content.library.item.UpdateSessionModel.State.ACTIVE state, or if some of the files that will be uploaded by the client aren't received correctly.

Parameters:

  updateSessionId | Identifier of the update session to validate. The parameter must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  A validation result containing missing files or invalid files and the reason why they are invalid.

Implemented in vmware::content::library::item::updatesession::FileStub.

The documentation for this interface was generated from the following file:

- updatesession/File.cs